Discussion in 'Installation/Configuration' started by Wickednix, Jan 2, 2007.

  1. Wickednix

    Wickednix New Member

    Hello all, great CP first off. Theres only one problem, I cannot install joomla on a clients site. I cannot get past the DB section on the joomla installer. Keeps coming up as username and password are incorrect. I am using web#_U#, web#_db# and the password I inputted when creating the DB. I changed the password and confirmed it in mysql and i can access the DB with the password but when I try in joomla I get the error.

    Is this a ispconfig issue or is this a joomla issue. I have joomla installed on my site using ISPCONFIG/Joomla howto written by hans working just fine. I have all the correct radios checked on the client site for mysql and php etc...

    Please advise and thanks in advance
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    If you can connect with the same mysql username and password in phpmyadmin, then ISPConfig has created the database correctly.

    Do you have other websites on the same server that are able to connect to the database or is this the first database driven site on this server?
  3. Wickednix

    Wickednix New Member

    #1251 - Client does not support authentication protocol requested by server; consider upgrading MySQL client
    I get this when I try to log into phpmyadmin with web4_u1, but I dont get this when I log in with web1_u1 ?
  4. Hans

    Hans Moderator ISPConfig Developer

    possible solution

    In my opinion this is an MySQL error which appears after a MySQL version update from version 4.0 or below to 4.1 or up.

    If you did such a update indeed, you can solve your problem with the info here:
  5. Wickednix

    Wickednix New Member

    Yes I did do a mysql update and I added old_passwords=1 to my my.conf and I still get the error. Do I have to add this code in a certain spot, Yes I restarted my mysqld.
  6. Wickednix

    Wickednix New Member


    This is an error that I get from Joomla also.

    Please advise or I have to bring back my patch and catch VHCS server(which I do not want to do that)
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Installing VHCS wont help you as this problem is not related to ISPConfig, it is caused by your MySQL update which broke your setup. If you would have told us that the errors appeared after you updated mysql, we would have been able to help you faster.

    1) Have you restarted the mysql server after you added old_passwords=1 ?
    2) Is the phpmyadmin you try to login the one that comes with ISPConfig? If yes:

    Install the development libraries for mysql that belong to your new mysql version. If you dont know which libraries to install, post your linux distribution and current mysql version.

    Then download the latest ISPConfig version, unpack it and run the setup script. ISPConfig will update your system and recompiles php for your new mysql version.
  8. Wickednix

    Wickednix New Member

    1. Yes
    2. yes

    Will try updating my dev libs and reinstall ispconfig?

    When i run the setup script is it going to delete my current users and there sites?

    Also I wouldnt of installed VHCS on this server, i would have brought my old one back up as I took it down do to the holes in the software that cannot be patched. I manually moved all my clients over to ISPconfig and one of the clients needed the mysql upgrade.

    Thanks again. Hopefully what you pointed out will resolve this issue
  9. Wickednix

    Wickednix New Member

    All is working now. I had the dev libs updated but they were not working because as you posted ispconfig needed to be recompiled so it could read the mysql update. At first it didnt work right, but after I updated the password in the CP for the DB It was all butter from there. thanks for all the time you put in for helping me.

Share This Page